from leapp.actors import Actor
from leapp.libraries.actor.oraclesignedrpmcheck import check_unsigned_packages
from leapp.models import InstalledUnsignedRPM
from leapp.reporting import Report
from leapp.tags import ChecksPhaseTag, IPUWorkflowTag


class OracleSignedRpmCheck(Actor):
    """
    Check if there are packages not signed by Oracle in use. If yes, warn user about it.

    If any any installed RPM package does not contain a valid signature from Oracle, a message
    containing a warning is produced.
    """

    name = 'oracle_signed_rpm_check'
    consumes = (InstalledUnsignedRPM,)
    produces = (Report,)
    tags = (IPUWorkflowTag, ChecksPhaseTag)

    def process(self):
        check_unsigned_packages()
